org.eclipse.microprofile.metrics.tck.metrics

## Class CountedMethodBean<T>

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.CountedMethodBean<T>

    public class CountedMethodBean<T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CountedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `countedMethod(Callable<T> callable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountedMethodBean

    public CountedMethodBean()

### Method Detail

#### countedMethod

    @Counted(name="countedMethod",
             absolute=true)
    public T countedMethod(Callable<T> callable)